/* Mega menu, custom menu based on ACF and thinking about alternative options */
.mega-menu{
  @include clearfix;
  position: relative;
  z-index: 20;
  margin: 0;
  padding: 0;
  list-style: none;
  vertical-align: middle;

  @include wider-than( tablet ) {
    > li:not(.mega-menu--item){ display: none; }
  }

  &--item {
    position: relative;
    display: block;

    @include wider-than( tablet ) {
      display: inline-block;

      &.mega-menu--item-has-children.submenu-visible {
        > a{
          border-left: 1px solid $grey-line;
          border-right: 1px solid $grey-line;
          box-shadow: 0 4px 1px -1px white;
          position: relative;
          z-index: 20;
        }
      }

      > a {
        border-left: 1px solid white;
        border-right: 1px solid white;
        padding: 1.2rem 0.95rem;
      }
    }

    // The main link in the li
    > a{
      display: block;
      text-decoration: none;
      color: $text;
      font-weight: 600;
      line-height: 1;
    }

    &-has-children{
      // The link of a parent element
      > a{
        @include not-wider-than( tablet ){
        padding-right: 2rem;
          &:after{
            content: "+";
            position: absolute;
            right: 0;
            top: 0;
            display: inline-block;
            vertical-align: middle;
            padding: 1.2rem 1rem 1.8rem;
            font-size: 2.5rem;
            font-family: sans-serif;
            font-weight: 100;
            line-height: 0;
          }
        }

        @include wider-than( tablet ){
          &:after{
            content: "\25bc";
            font-size: 50%;
            margin-left: 0.4rem;
            vertical-align: middle;
          }
        }
      }


      @include wider-than( tablet ){
        .submenu.show{
          display: block;
        }
        // When we hover over this element,
        // the sub menu will display
        &:hover{
          > .sub-menu{
            display: block;
          }
        }
      }
    }
  }

  .header--account--item{
    display: block;
    @include wider-than( tablet ){
      display: none;
    }
  }
}

// Submenu styling
.sub-menu {

  @include not-wider-than( tablet ) {
    &.show{
      display: block !important;
    }
  }

  @include wider-than( tablet ) {
    // If supported...
    background-color: white;
    border: 1px solid $grey-line;
    box-shadow: 0 10px 20px -8px fade-out( black, 0.65 );
    padding: 1.875rem;
  }

  // Links
  a {
    text-decoration: none;
    color: $text;
    padding: 0.2rem 1rem 0.2rem 0;
    display: block;
  }

  // Because we can't affect the display
  // of the sub menu, we need to wrap the
  // contents in a separate container
  &--container{
    @include clearfix;
    text-align: left;
    display: block;

    @include wider-than ( tablet ) {
      @supports ( display: flex ){
        display: flex;
        flex-wrap: wrap;
        &::after {
          content: "";
          flex: auto;
        }
      }
    }
  }

  // Menu's are split into two columns
  &--column {
    @include wider-than( tablet ){
      float: left;
      width: 12rem;
      max-width: 12rem;
      flex: 1 0 12rem;
    }
    strong { display: block; }
  }

  // Sub menu items
  &--list{
    margin: 0;
    padding: 0;
    list-style: none;
  }
}